Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface DnaProteinAlignmentAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface DnaProteinAlignmentAdaptor
extends FeatureAdaptor

Provides access to DnaProteinAlignments in a datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default DnaProteinAlignmentAdaptor available from a driver.

Method Summary
`void` | `delete(DnaProteinAlignment feature)`
`void` | `delete(long internalID)`
`java.util.List` | `fetch(Location location)` Fetches features that overlap with location.
`java.util.List` | `fetch(Location location, Analysis analysis)`
`java.util.List` | `fetch(Location location, Analysis[] analyses)`
`java.util.List` | `fetch(Location location, java.lang.String logicalName)`
`java.util.List` | `fetch(Location location, java.lang.String[] logicalNames)`
`DnaProteinAlignment` | `fetch(long internalID)`
`java.util.List` | `fetch(java.lang.String logicalName)` Fetch all DNAProteinAlignments with the specified logicalName.
`java.util.Iterator` | `fetchIterator(java.lang.String logicalName)` Fetch an iterator over all DNAProteinAlignments with the specified logicalName.
`long` | `store(DnaProteinAlignment feature)` Stores feature.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default DnaProteinAlignmentAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### store

    public long store(DnaProteinAlignment feature)
               throws AdaptorException

  Stores feature.

  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Parameters:
    `internalID` - internalID of feature to be deleted.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### delete

    public void delete(DnaProteinAlignment feature)
                throws AdaptorException

  Parameters:
    `feature` - feature to be deleted.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### fetch

    public DnaProteinAlignment fetch(long internalID)
                              throws AdaptorException

  Returns:
    A feature matching the internalID, or null if non found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Location location)
                         throws AdaptorException

  Description copied from interface: `FeatureAdaptor`
  Fetches features that overlap with location.

  Specified by:
    `fetch` in interface `FeatureAdaptor`
  Parameters:
    `location` - location filter.
  Returns:
    A list of features inside the Location. An empty List is returned if non found.
  Throws:
    `AdaptorException`
  See Also:
    `if you want to include child data.`

### fetch

    public java.util.List fetch(Location location,
                                Analysis analysis)
                         throws AdaptorException

  Returns:
    A list of features inside the Location, and filtered by the Analysis. An empty List is returned if non found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Location location,
                                Analysis[] analyses)
                         throws AdaptorException

  Returns:
    A list of features inside the Location, and filtered by the Analyses. An empty List is returned if non found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Location location,
                                java.lang.String logicalName)
                         throws AdaptorException

  Returns:
    A list of features inside the Location of type "logicName". An empty List is returned if non found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String logicalName)
                         throws AdaptorException

  Fetch all DNAProteinAlignments with the specified logicalName. Often requires alot of memory because there are many DNAProteinAlignments in the database. A functionally equivalent method is fetchIterator(String) which uses less memory.

  Parameters:
    `logicalName` - logical name of the DNAProteinAlignments of interest.
  Returns:
    zero or more DNAProteinAlignments matching the logicalName.
  Throws:
    `AdaptorException`
  See Also:
    `alternative means of retrieving the same data] that requires less memory.`

### fetchIterator

    public java.util.Iterator fetchIterator(java.lang.String logicalName)
                                     throws AdaptorException

  Fetch an iterator over all DNAProteinAlignments with the specified logicalName. Like fetch(String) but uses less memory.

  Parameters:
    `logicalName` - logical name of the DNAProteinAlignments of interest.
  Returns:
    an iterator over zero or more DNAProteinAlignments.
  Throws:
    `AdaptorException`
  See Also:
    `fetch(String)`

### fetch

    public java.util.List fetch(Location location,
                                java.lang.String[] logicalNames)
                         throws AdaptorException

  Returns:
    A list of features inside the Location with a type specified in "locicNames". An empty List is returned if non found.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD